GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/fbsd-nat.c File Reference
`#include "defs.h"`
`#include "byte-vector.h"`
`#include "gdbcore.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "regset.h"`
`#include "gdbcmd.h"`
`#include "gdbthread.h"`
`#include "gdb_wait.h"`
`#include <sys/types.h>`
`#include <sys/procfs.h>`
`#include <sys/ptrace.h>`
`#include <sys/signal.h>`
`#include <sys/sysctl.h>`
`#include <sys/user.h>`
`#include "filestuff.h"`
`#include "elf-bfd.h"`
`#include "fbsd-nat.h"`
`#include <list>`

Go to the source code of this file.

## Functions
static char * | fbsd_pid_to_exec_file (struct target_ops *self, int pid)
static int | fbsd_read_mapping (FILE *mapfile, unsigned long *start, unsigned long *end, char *protection)
static int | fbsd_find_memory_regions (struct target_ops *self, find_memory_region_ftype func, void *obfd)
void | fbsd_nat_add_target (struct target_ops *t)
void | _initialize_fbsd_nat (void)

## Function Documentation

## ◆ _initialize_fbsd_nat()

void _initialize_fbsd_nat | ( | void |  | ) |

Definition at line 1221 of file fbsd-nat.c.

References _, add_setshow_boolean_cmd(), class_maintenance, setdebuglist, and showdebuglist.

## ◆ fbsd_find_memory_regions()

static int fbsd_find_memory_regions | ( | struct target_ops * | self,
|  | find_memory_region_ftype | func,
|  | void * | obfd
| ) |  |
| static

Definition at line 168 of file fbsd-nat.c.

References _, error(), fbsd_read_mapping(), fprintf_filtered(), func, gdb_stdout, inferior_ptid, info_verbose, paddress(), pid, ptid_get_pid(), read(), size, string, string_printf(), and target_gdbarch().

Referenced by fbsd_nat_add_target().

## ◆ fbsd_nat_add_target()

void fbsd_nat_add_target | ( | struct target_ops * | t | ) |

Definition at line 1180 of file fbsd-nat.c.

References add_target(), fbsd_find_memory_regions(), fbsd_pid_to_exec_file(), super_xfer_partial, tc_schedlock, target_ops::to_find_memory_regions, target_ops::to_follow_fork, target_ops::to_has_thread_control, target_ops::to_insert_exec_catchpoint, target_ops::to_insert_fork_catchpoint, target_ops::to_insert_vfork_catchpoint, target_ops::to_pid_to_exec_file, target_ops::to_pid_to_str, target_ops::to_post_attach, target_ops::to_post_startup_inferior, target_ops::to_remove_exec_catchpoint, target_ops::to_remove_fork_catchpoint, target_ops::to_remove_vfork_catchpoint, target_ops::to_resume, target_ops::to_set_syscall_catchpoint, target_ops::to_thread_alive, target_ops::to_thread_name, target_ops::to_update_thread_list, target_ops::to_wait, and target_ops::to_xfer_partial.

Referenced by _initialize_aarch64_fbsd_nat(), _initialize_amd64fbsd_nat(), _initialize_arm_fbsd_nat(), _initialize_i386fbsd_nat(), _initialize_mips_fbsd_nat(), _initialize_ppcfbsd_nat(), and _initialize_sparc64fbsd_nat().

## ◆ fbsd_pid_to_exec_file()

static char* fbsd_pid_to_exec_file | ( | struct target_ops * | self,
|  | int | pid
| ) |  |
| static

Definition at line 50 of file fbsd-nat.c.

References name, pid, and xsnprintf().

Referenced by fbsd_nat_add_target().

## ◆ fbsd_read_mapping()

static int fbsd_read_mapping | ( | FILE * | mapfile,
|  | unsigned long * | start,
|  | unsigned long * | end,
|  | char * | protection
| ) |  |
| static

Definition at line 143 of file fbsd-nat.c.

Referenced by fbsd_find_memory_regions().